import React__default from 'react';
import { motion } from 'framer-motion';
import { T as TRANSITION_DURATION_IN_SECONDS, e as TRANSITION_DELAY_IN_SECONDS } from './DataList.const-es.js';
import { D as DataListActions } from './DataListActions-es.js';

var styles = {"menu":"SSm2j6d2kYo-","spinning":"Mpmu6IiBTSI-"};

// This component is meant to capture the props of the DataList.ItemActions
function DataListItemActions(
// eslint-disable-next-line @typescript-eslint/no-unused-vars
_) {
    return null;
}
const variants = {
    hidden: { opacity: 0, y: 0 },
    visible: { opacity: 1, y: 4 },
};
function InternalDataListItemActions({ actions, }) {
    return (React__default.createElement(motion.div, { variants: variants, initial: "hidden", animate: "visible", exit: "hidden", transition: {
            duration: TRANSITION_DURATION_IN_SECONDS,
            delay: TRANSITION_DELAY_IN_SECONDS,
        }, className: styles.menu, "data-elevation": "elevated", onContextMenu: handleContextMenu },
        React__default.createElement(DataListActions, null, actions)));
}
function handleContextMenu(event) {
    event.stopPropagation();
}

export { DataListItemActions as D, InternalDataListItemActions as I };
